// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// 
// Module: DetectorPosition
// Author: Hassan Siddiqui
//
// Description: 
// Describes a position across a CCD detector, in terms of the CCD ID,
// and the position in that CCD.
//  
// Modifications: See ChangeLog
// 
// $Id: DetectorPosition.cc,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions
#include "errstr.h"
#include "Tracer.h"

// Local classes
#include "DetectorPosition.h"

// Insertor for DetectorPosition
ostream &operator << (ostream &stream, const DetectorPosition o)
{
  PROC;

  stream << " ccdid "     << o.ccdid()
	 << " rawx "     << o.rawx()
	 << " rawy " << o.rawy();
	
  RETURN stream;
}
