// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: EeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Modifies a given area vector for the encircled energy.
//
// Modifications: See ChangeLog
// 
// $Id: EeCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef EeCorrector_H
#define EeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"


class EeCorrector
{
public:

  /* Constructor */
  EeCorrector(){};

  /* Destructor */
  virtual ~EeCorrector(){};

  virtual vector<double> 
  Fraction( const vector<double> & energyvector) const = 0;
  
private:


};

#endif
