// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: arfgen_mod
// Author: Hassan Siddiqui
//
// Description: ARF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: arfgen.cc,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local classes */
#include "ArfDataServer.h"
#include "ConcreteArfDataServer.h"
#include "Arfgen.h"
#include "arfgen.h"


/* Declare global ArfDataServer handle. 
   As there is only one type of ArfDataServer ever
   used in code, specify type as ConcreteArfDataServer. */
ConcreteArfDataServer * arfDataServer;

// ---------------------------------------------------

// Main function

// ---------------------------------------------------

void arfgen()
{
  
  PROC;

  /* Assign concrete object to arfDataServer handle */
  arfDataServer = 
    new ConcreteArfDataServer ();

  // Execute arfgen
  Arfgen::exec();

  // Delete concrete object
  delete arfDataServer;
  arfDataServer = 0;

  ENDPROC;

} 
